Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class UIInfoUnmarshaller

    java.lang.Object
      org.opensaml.xml.io.AbstractXMLObjectUnmarshaller
          org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller
              edu.internet2.middleware.shibboleth.wayf.idpdisco.UIInfoUnmarshaller

All Implemented Interfaces:
  org.opensaml.xml.io.Unmarshaller

    public class UIInfoUnmarshaller

extends org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller

A thread-safe Unmarshaller for `org.opensaml.saml2.metadata.UIInfo` objects.

Constructor Summary
`UIInfoUnmarshaller()`

Method Summary
`protected void` | `processChildElement(org.opensaml.xml.XMLObject parentSAMLObject, org.opensaml.xml.XMLObject childSAMLObject)`

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller
`processAttribute, processElementContent`

Methods inherited from class org.opensaml.xml.io.AbstractXMLObjectUnmarshaller
`buildXMLObject, checkElementIsTarget, checkIDAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIInfoUnmarshaller

    public UIInfoUnmarshaller()

Method Detail

### processChildElement

    protected void processChildElement(org.opensaml.xml.XMLObject parentSAMLObject,
                                       org.opensaml.xml.XMLObject childSAMLObject)
                                throws org.opensaml.xml.io.UnmarshallingException

  Overrides:
    `processChildElement` in class `org.opensaml.common.impl.AbstractSAMLObjectUnmarshaller`
  Throws:
    `org.opensaml.xml.io.UnmarshallingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.